Bug 928346 - Anaconda doesn't inform about disconnected network during network installation
Anaconda doesn't inform about disconnected network during network installation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-27 09:42 EDT by Ľuboš Kardoš
Modified: 2015-02-17 09:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:54:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
packaging.log (990.76 KB, text/x-log)
2013-03-27 09:43 EDT, Ľuboš Kardoš
no flags Details
anaconda.log (12.08 KB, text/x-log)
2013-03-27 09:43 EDT, Ľuboš Kardoš
no flags Details
program.log (44.51 KB, text/x-log)
2013-03-27 09:44 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-03-27 09:42:45 EDT
Description of problem:
When you install via network and there are some problems with network, anaconda doesn't inform you about problems with network. You can only see screen with message "Installing packageXYZ" with no progress.

Version-Release number of selected component (if applicable):
F19-Alpha-TC2
anaconda-19.13

How reproducible:
always

Steps to Reproduce:
1. Start anaconda.
2. During package installation unplug network cable.
  
Actual results:
Anaconda shows screen with message "Installing packageXYZ" with no progress and it silently retries to download package again and again (You can see many messages "retrying download of packageXYZ" in packaging.log).

Expected results:
Anaconda should inform about problems with network. After some number of unsuccessful retries anaconda can show window with message "packageXYZ cannot be downloaded. Cancel? Retry?"


Additional info:
Comment 1 Ľuboš Kardoš 2013-03-27 09:43:27 EDT
Created attachment 717080 [details]
packaging.log
Comment 2 Ľuboš Kardoš 2013-03-27 09:43:59 EDT
Created attachment 717081 [details]
anaconda.log
Comment 3 Ľuboš Kardoš 2013-03-27 09:44:46 EDT
Created attachment 717082 [details]
program.log
Comment 4 Fedora End Of Life 2015-01-09 12:49:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:54:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.